# IDCardPDF417Document class

ID card PDF417 parsed barcode document

Inheritance
  - Object
  - BarcodeFormattedResult
  - IDCardPDF417Document
Annotations
  - @JsonSerializable(createFactory: true, includeIfNull: false, explicitToJson: true)

## Constructors

IDCardPDF417Document(List<IDCardPDF417DocumentField>? fields)
IDCardPDF417Document.fromJson(Map<String, dynamic> json)
  factory

## Properties

documentFormat ↔ String
  read / write inherited
fields ↔ List<IDCardPDF417DocumentField>?
  Fileds in the parsed document
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

DOCUMENT_FORMAT → const String
  `'IDCardPDF417'`